"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
const newlineReplacement = "\\n", newline = /\n/g;
function format(level, message, rest) {
    return {
        message: `${level}: ${oneLineString(message)}`,
        optionalParams: rest ? rest.map(oneLineString) : rest
    };
}
exports.default = format;
function oneLineString(value) {
    return stringify(value).replace(newline, newlineReplacement);
}
function stringify(value) {
    if (typeof value === "string")
        return value;
    if (typeof value === "number" || typeof value === "boolean")
        return value.toString();
    return util_1.inspect(value);
}
//# sourceMappingURL=format.js.map