import { Message } from "./format";
export default function createLogger(level: Level, formatterFactory?: FormatterFactory): Logger;
export declare type CallableLevel = "error" | "warn" | "info" | "debug";
export declare type Level = "silent" | CallableLevel;
export interface LogData {
    level: Level;
    message: Message;
    rest: any[];
}
interface LogFn {
    (message: Message, ...rest: any[]): void;
}
declare type Logger = {
    [x in CallableLevel]: LogFn;
};
interface FormatterFactory {
    (level: string): (message: any, rest: any[]) => ConsoleParams;
}
interface ConsoleParams {
    message: any;
    optionalParams?: any[];
}
export {};
